﻿namespace UltratoolbarsManagerFocus
{
    using System.Diagnostics;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinToolbars;

    public partial class Form1 : Form
    {
        private int originalAutoHideDelay = 0;

        public Form1()
        {
            this.InitializeComponent();
        }

        private void UltraToolbarsManager_BeforeToolEnterEditMode(object sender, BeforeToolEnterEditModeEventArgs e)
        {
            // get the active pane
            var activePane = this.ultraDockManager1.ActivePane;

            // check if there is active pane and if it is flayout pane
            if (activePane != null && activePane.IsFlyoutPaneDisplayed)
            {
                // save the AutoHideDelay to a private field and set it to some big value
                this.originalAutoHideDelay = this.ultraDockManager1.AutoHideDelay;
                this.ultraDockManager1.AutoHideDelay = int.MaxValue;
            }
        }

        private void UltraToolbarsManager_AfterToolExitEditMode(object sender, AfterToolExitEditModeEventArgs e)
        {
            // restore the original value of AutoHideDelay
            this.ultraDockManager1.AutoHideDelay = this.originalAutoHideDelay;
        }
    }
}
